Summary: Gnome browser based on Gecko (Mozilla rendering engine).
Name: galeon
Version: 0.11.3
Release: 2
License: GPL
Group: Applications/Internet
Source: galeon-%{PACKAGE_VERSION}.tar.gz
Patch0: galeon-0.11.3-0.9.2.1-compat.patch
URL: http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/galeon-root
BuildRequires: gettext >= 0.10.38
BuildRequires: libxml-devel >= 1.8.13
BuildRequires: mozilla-devel = 0.9.2.1
BuildRequires: gnome-libs-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gnome-core-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libglade-devel

Requires: gnome-libs >= 1.2.0
Requires: ORBit >= 0.4.0
Requires: libglade >= 0.13
Requires: libxml >= 1.8.11
Requires: gnome-vfs >= 0.6.0
Requires: GConf >= 0.12
Requires: oaf >= 0.6.2
Requires: gdk-pixbuf >= 0.10.0
Requires: mozilla = 0.9.2.1

# no support for ia64 for mozilla yet
ExcludeArch: ia64

%description
Gnome browser based on Gecko (Mozilla rendering engine).
%prep

%setup

%patch0 -p1

%build
if [ "$MOZILLA_LIBS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-libs=$MOZILLA_LIBS"
fi
if [ "$MOZILLA_INCLUDES" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-includes=$MOZILLA_INCLUDES"
fi
if [ "$MOZILLA_CVS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --enable-mozilla-cvs"
fi

%configure --with-gnome --without-debug $MOZILLA_FLAGS

#CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
#		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
#		$MOZILLA_FLAGS

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

#make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install
%makeinstall
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config %{_sysconfdir}/sound/events/galeon.soundlist
%{_bindir}/*
%{_datadir}/galeon
%{_datadir}/gnome/apps/Internet/galeon.desktop
%{_datadir}/gnome/help/galeon
%{_datadir}/oaf/galeon.oaf
%{_datadir}/pixmaps/galeon.png
%{_datadir}/sounds/galeon
%{_mandir}/*/*

%changelog
* Wed Aug 29 2001 Christopher Blizzard <blizzard@redhat.com>
- Bump up version to rebuild with 0.9.2.1
- Add patch that makes xfer code build with 0.9.2.1.

* Thu Jul 26 2001 Bill Nottingham <notting@redhat.com>
- 0.11.3 - fixes #50735

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- add some build requires, #49851

* Sun Jul 22 2001 Jeremy Katz <katzj@redhat.com>
- 0.11.2
- s/Copyright/License
- don't define %nam and %ver
- use _tmppath instead of /tmp in buildroot
- better langify

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- languified
- removed Packager tag, and cleaned up files list 
